# Generated by Django 3.1.7 on 2021-05-12 19:32

import wagtail.blocks
import wagtail.fields
from django.db import migrations


class Migration(migrations.Migration):
    dependencies = [
        ("elections2021", "0006_auto_20210511_0048"),
    ]

    operations = [
        migrations.AddField(
            model_name="elections2021programpointpage",
            name="benefit_for_all",
            field=wagtail.fields.RichTextField(
                blank=True, null=True, verbose_name="benefit pro společnost"
            ),
        ),
        migrations.AddField(
            model_name="elections2021programpointpage",
            name="benefits",
            field=wagtail.fields.StreamField(
                [
                    (
                        "benefit",
                        wagtail.blocks.StructBlock(
                            [
                                ("title", wagtail.blocks.CharBlock(label="název")),
                                (
                                    "text",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h4",
                                            "ul-elections2021",
                                            "superscript",
                                            "link",
                                            "italic",
                                        ],
                                        label="text",
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                verbose_name="ostatní benefity",
            ),
        ),
        migrations.AddField(
            model_name="elections2021programpointpage",
            name="benefits_main",
            field=wagtail.fields.StreamField(
                [
                    (
                        "benefit",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "variant",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("1", "Pro mladé a bezdětné"),
                                            ("2", "Pro rodiny s dětmi"),
                                            ("3", "Pro lidi ve zralém věku"),
                                            ("4", "Pro seniory"),
                                            ("5", "Pro zaměstnance"),
                                            ("6", "Pro živnostníky a podnikatele"),
                                            ("7", "Pro lidi ve finanční tísni"),
                                            ("8", "Pro nás pro všechny"),
                                            ("9", "Pro veřejné finance"),
                                            ("10", "Pro rozvoj obcí a měst"),
                                            ("11", "Pro lékaře a zdravotníky"),
                                            ("12", "Pro zemědělce"),
                                            ("13", "Pro děti"),
                                        ],
                                        label="název",
                                    ),
                                ),
                                (
                                    "text",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h4",
                                            "ul-elections2021",
                                            "superscript",
                                            "link",
                                            "italic",
                                        ],
                                        label="text",
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                verbose_name="hlavní benefity",
            ),
        ),
    ]
